List Customers V2
curl --request GET \
--url https://sandbox.api.fin.com/v2/customers \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/customers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/customers")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 40,
"total_page": 1,
"total": 2
},
"customers": [
{
"customer_id": "ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06",
"type": "BUSINESS",
"business_name": "Fin.com",
"email": "m@tech.com",
"phone": "+8801529876543",
"country_of_incorporation": "BGD",
"customer_status": "IN_COMPLIANCE",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06&tos_policies_value=6955e70b-f9f3-4076-b1ce-5c897085dd24",
"created_at": "2026-04-13T11:38:57Z",
"updated_at": "2026-04-13T11:40:51Z"
},
{
"customer_id": "56c41b8e-e650-4f55-94f6-26a888a9b64d",
"type": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+14155551234",
"country_of_residence": "USA",
"customer_status": "INCOMPLETE",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=56c41b8e-e650-4f55-94f6-26a888a9b64d&tos_policies_value=e9414388-fbdf-4407-b5c2-bc39eae3645b",
"created_at": "2026-04-01T12:03:03Z",
"updated_at": "2026-04-01T12:03:03Z"
}
]
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}Customer list
List Customers V2
Retrieve a list of customers filtered by type
GET
/
v2
/
customers
List Customers V2
curl --request GET \
--url https://sandbox.api.fin.com/v2/customers \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/customers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/customers")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 40,
"total_page": 1,
"total": 2
},
"customers": [
{
"customer_id": "ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06",
"type": "BUSINESS",
"business_name": "Fin.com",
"email": "m@tech.com",
"phone": "+8801529876543",
"country_of_incorporation": "BGD",
"customer_status": "IN_COMPLIANCE",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06&tos_policies_value=6955e70b-f9f3-4076-b1ce-5c897085dd24",
"created_at": "2026-04-13T11:38:57Z",
"updated_at": "2026-04-13T11:40:51Z"
},
{
"customer_id": "56c41b8e-e650-4f55-94f6-26a888a9b64d",
"type": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+14155551234",
"country_of_residence": "USA",
"customer_status": "INCOMPLETE",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=56c41b8e-e650-4f55-94f6-26a888a9b64d&tos_policies_value=e9414388-fbdf-4407-b5c2-bc39eae3645b",
"created_at": "2026-04-01T12:03:03Z",
"updated_at": "2026-04-01T12:03:03Z"
}
]
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Query Parameters
Filter customers by type
Available options:
INDIVIDUAL, BUSINESS Number of items to return per page
Required range:
1 <= x <= 512The page number to retrieve
Required range:
x >= 1Response
List of customers retrieved successfully
Show child attributes
Show child attributes
⌘I
